using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace HySoft.BaseCallCenter.Web.telmanage
{
    public partial class voiceplay : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }
        public string GetSrc()
        {
            string res = "";
            try
            {
                BLL.T_Sys_SystemConfig bll_T_Sys_SystemConfig = new BLL.T_Sys_SystemConfig();
                string CTIserverIP = bll_T_Sys_SystemConfig.GetParamValueByParamCode("PlayPath");//CTIIP
                
                string path=  Request.QueryString["path"];
                if (path.IndexOf(":") < 0)
                {
                    res = CTIserverIP + path;
                }
                else
                {
                    res = path.Replace("D:", CTIserverIP);
                }
                res = HttpUtility.HtmlEncode(res);
            }
            catch
            { 
            }
            return res;
        }
    }
}